# PCFactorSetPivoting

Determines when pivoting is done during LU. For PETSc dense matrices column pivoting is always done, for PETSc sparse matrices it is never done. For the Matlab and SuperLU factorization this is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetPivoting(PC pc,PetscReal dtcol)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| dtcol | - 0.0 implies no pivoting, 1.0 complete pivoting (slower, requires more memory but more stable)

### Options Database Key

-pc_factor_pivoting <dtcol> -

### See Also

PCILUSetMatOrdering(), PCFactorSetPivotInBlocks()

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages